
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef scout_POSTER_XML_LIB_H
#define scout_POSTER_XML_LIB_H

#include "genom/posterXMLLib.h"

#include "scoutPrintXML.h"
#include "scoutPosterLib.h"

/* Prototypes */
void webscout(FILE *f, int argc, char **argv, char **argn);
extern STATUS scoutCntrlPosterXML (FILE *f);
extern STATUS scoutCntrlPosterActivityXML (FILE *f);
extern STATUS scoutRobotPosterXML (FILE *f);
extern STATUS scoutRobotPositionPosterXML (FILE *f);
extern STATUS scoutRobotPosErrorPosterXML (FILE *f);
extern STATUS scoutBumperPosterXML (FILE *f);
extern STATUS scoutBumperbumperPosterXML (FILE *f);
extern STATUS scoutSonarsPosterXML (FILE *f);
extern STATUS scoutSonarssonarsEchoPosterXML (FILE *f);
extern STATUS scoutSonarssonarsEchoFrameRobotPosterXML (FILE *f);
extern STATUS scoutSonarssonarsEchoFrameGlobalPosterXML (FILE *f);
extern STATUS scoutSensorsConfigPosterXML (FILE *f);
extern STATUS scoutSensorsConfigsonarsCoordPosterXML (FILE *f);
extern STATUS scoutSensorsConfigbumpersPosPosterXML (FILE *f);
extern STATUS scoutReferencesPosterXML (FILE *f);
extern STATUS scoutReferencesrefPosterXML (FILE *f);
extern STATUS scoutReferencesspeedRefPosterXML (FILE *f);
extern STATUS scoutStatePosterXML (FILE *f);
extern STATUS scoutStatealarmPosterXML (FILE *f);
extern STATUS scoutStatebatteriesPosterXML (FILE *f);
#endif /* SCOUT_POSTER_XML_LIB_H */

